diff --git a/lib/app/data/models/donatur_model.dart b/lib/app/data/models/donatur_model.dart
index 939b5f0..21d94da 100644
--- a/lib/app/data/models/donatur_model.dart
+++ b/lib/app/data/models/donatur_model.dart
@@ -9,6 +9,7 @@ class DonaturModel {
   final String? jenis;
   final String? deskripsi;
   final String? status;
+  final String? fotoProfil;
   final DateTime? createdAt;
   final DateTime? updatedAt;
 
@@ -21,6 +22,7 @@ class DonaturModel {
     this.jenis,
     this.deskripsi,
     this.status = 'AKTIF',
+    this.fotoProfil,
     this.createdAt,
     this.updatedAt,
   });
@@ -39,6 +41,7 @@ class DonaturModel {
         jenis: json["jenis"],
         deskripsi: json["deskripsi"],
         status: json["status"] ?? 'AKTIF',
+        fotoProfil: json["foto_profil"],
         createdAt: json["created_at"] != null
             ? DateTime.parse(json["created_at"])
             : null,
@@ -56,6 +59,7 @@ class DonaturModel {
         "jenis": jenis,
         "deskripsi": deskripsi,
         "status": status ?? 'AKTIF',
+        "foto_profil": fotoProfil,
         "created_at": createdAt?.toIso8601String(),
         "updated_at": updatedAt?.toIso8601String(),
       };
diff --git a/lib/app/data/models/petugas_desa_model.dart b/lib/app/data/models/petugas_desa_model.dart
index 9a8fd10..1fc88b9 100644
--- a/lib/app/data/models/petugas_desa_model.dart
+++ b/lib/app/data/models/petugas_desa_model.dart
@@ -10,6 +10,7 @@ class PetugasDesaModel {
   final String? email;
   final String? jabatan;
   final String? nip;
+  final String? fotoProfil;
   final DateTime? createdAt;
   final DateTime? updatedAt;
   final DesaModel? desa;
@@ -23,6 +24,7 @@ class PetugasDesaModel {
     this.email,
     this.jabatan,
     this.nip,
+    this.fotoProfil,
     this.createdAt,
     this.updatedAt,
     this.desa,
@@ -48,6 +50,7 @@ class PetugasDesaModel {
       email: json["email"],
       jabatan: json["jabatan"],
       nip: json["nip"],
+      fotoProfil: json["foto_profil"],
       createdAt: json["created_at"] != null
           ? DateTime.parse(json["created_at"])
           : null,
@@ -67,6 +70,7 @@ class PetugasDesaModel {
         "email": email,
         "jabatan": jabatan,
         "nip": nip,
+        "foto_profil": fotoProfil,
         "created_at": createdAt?.toIso8601String(),
         "updated_at": updatedAt?.toIso8601String(),
       };
diff --git a/lib/app/data/models/warga_model.dart b/lib/app/data/models/warga_model.dart
index 9a4b00a..2876e17 100644
--- a/lib/app/data/models/warga_model.dart
+++ b/lib/app/data/models/warga_model.dart
@@ -17,6 +17,7 @@ class WargaModel {
   final String? kategoriEkonomi;
   final String? status;
   final String? catatan;
+  final String? fotoProfil;
   final DateTime? createdAt;
   final DateTime? updatedAt;
   final DesaModel? desa;
@@ -36,6 +37,7 @@ class WargaModel {
     this.kategoriEkonomi,
     this.status = 'AKTIF',
     this.catatan,
+    this.fotoProfil,
     this.createdAt,
     this.updatedAt,
     this.desa,
@@ -69,6 +71,7 @@ class WargaModel {
       kategoriEkonomi: json["kategori_ekonomi"],
       status: json["status"] ?? 'AKTIF',
       catatan: json["catatan"],
+      fotoProfil: json["foto_profil"],
       createdAt: json["created_at"] != null
           ? DateTime.parse(json["created_at"])
           : null,
@@ -94,6 +97,7 @@ class WargaModel {
         "kategori_ekonomi": kategoriEkonomi,
         "status": status,
         "catatan": catatan,
+        "foto_profil": fotoProfil,
         "created_at": createdAt?.toIso8601String(),
         "updated_at": updatedAt?.toIso8601String(),
       };
diff --git a/lib/app/modules/petugas_desa/controllers/penerima_controller.dart b/lib/app/modules/petugas_desa/controllers/penerima_controller.dart
index cbfeb8a..02aadab 100644
--- a/lib/app/modules/petugas_desa/controllers/penerima_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/penerima_controller.dart
@@ -1,5 +1,6 @@
 import 'package:get/get.dart';
 import 'package:flutter/material.dart';
+import 'package:penyaluran_app/app/services/supabase_service.dart';
 import 'package:penyaluran_app/app/utils/date_time_helper.dart';
 
 class PenerimaController extends GetxController {
@@ -7,6 +8,11 @@ class PenerimaController extends GetxController {
       <Map<String, dynamic>>[].obs;
   final RxBool isLoading = false.obs;
 
+  // Variabel untuk menyimpan daftar penyaluran bantuan untuk penerima tertentu
+  final RxList<Map<String, dynamic>> daftarPenyaluran =
+      <Map<String, dynamic>>[].obs;
+  final RxBool isLoadingPenyaluran = false.obs;
+
   // Variabel untuk halaman konfirmasi penerima
   final RxBool isKonfirmasiChecked = false.obs;
   final RxBool isIdentitasChecked = false.obs;
@@ -37,9 +43,30 @@ class PenerimaController extends GetxController {
     super.onClose();
   }
 
-  void fetchDaftarPenerima() {
+  void fetchDaftarPenerima() async {
     isLoading.value = true;
 
+    try {
+      // Get data penerima dari database
+      final penerimaBantuan = await SupabaseService.to.getPenerimaBantuan();
+
+      if (penerimaBantuan != null) {
+        daftarPenerima.value = penerimaBantuan;
+      } else {
+        // Gunakan data dummy jika gagal mendapatkan data dari database
+        _loadDummyData();
+      }
+    } catch (e) {
+      print('Error fetching penerima: $e');
+      // Gunakan data dummy sebagai fallback
+      _loadDummyData();
+    } finally {
+      isLoading.value = false;
+    }
+  }
+
+  // Metode untuk memuat data dummy
+  void _loadDummyData() {
     // Simulasi data penerima
     Future.delayed(const Duration(milliseconds: 500), () {
       daftarPenerima.value = [
@@ -134,7 +161,6 @@ class PenerimaController extends GetxController {
           'terverifikasi': true,
         },
       ];
-      isLoading.value = false;
     });
   }
 
@@ -167,6 +193,79 @@ class PenerimaController extends GetxController {
     }
   }
 
+  // Metode untuk mengambil daftar penyaluran bantuan berdasarkan ID warga
+  Future<void> fetchPenyaluranByWargaId(String wargaId) async {
+    isLoadingPenyaluran.value = true;
+    daftarPenyaluran.clear();
+
+    try {
+      final penyaluranBantuan =
+          await SupabaseService.to.getPenyaluranBantuanByWargaId(wargaId);
+
+      if (penyaluranBantuan != null && penyaluranBantuan.isNotEmpty) {
+        daftarPenyaluran.value = penyaluranBantuan;
+      } else {
+        // Gunakan data dummy jika tidak ada data dari database
+        _loadDummyPenyaluran(wargaId);
+      }
+    } catch (e) {
+      print('Error fetching penyaluran bantuan: $e');
+      // Gunakan data dummy sebagai fallback
+      _loadDummyPenyaluran(wargaId);
+    } finally {
+      isLoadingPenyaluran.value = false;
+    }
+  }
+
+  // Metode untuk memuat data dummy penyaluran
+  void _loadDummyPenyaluran(String wargaId) {
+    // Data dummy penyaluran bantuan (hanya untuk demo)
+    daftarPenyaluran.value = [
+      {
+        'id': '1',
+        'penerima_id': wargaId,
+        'tanggal_penyaluran':
+            DateTime.now().subtract(const Duration(days: 5)).toIso8601String(),
+        'status': 'TERLAKSANA',
+        'stok_bantuan': {
+          'nama': 'Paket Sembako',
+          'jenis': 'Bahan Pokok',
+          'kuantitas': '1 Paket',
+        },
+        'keterangan': 'Bantuan pangan rutin bulanan',
+        'bukti_penyaluran': 'assets/images/bukti_penyaluran.jpg',
+      },
+      {
+        'id': '2',
+        'penerima_id': wargaId,
+        'tanggal_penyaluran':
+            DateTime.now().subtract(const Duration(days: 35)).toIso8601String(),
+        'status': 'TERLAKSANA',
+        'stok_bantuan': {
+          'nama': 'Bantuan Pendidikan',
+          'jenis': 'Alat Tulis',
+          'kuantitas': '1 Paket',
+        },
+        'keterangan': 'Bantuan sekolah semester baru',
+        'bukti_penyaluran': 'assets/images/bukti_penyaluran.jpg',
+      },
+      {
+        'id': '3',
+        'penerima_id': wargaId,
+        'tanggal_penyaluran':
+            DateTime.now().add(const Duration(days: 2)).toIso8601String(),
+        'status': 'DIJADWALKAN',
+        'stok_bantuan': {
+          'nama': 'Paket Sembako',
+          'jenis': 'Bahan Pokok',
+          'kuantitas': '1 Paket',
+        },
+        'keterangan': 'Bantuan pangan rutin bulanan',
+        'bukti_penyaluran': null,
+      },
+    ];
+  }
+
   // Fungsi untuk memilih tanggal penyaluran
   Future<void> pilihTanggalPenyaluran(BuildContext context) async {
     final DateTime? picked = await showDatePicker(
diff --git a/lib/app/modules/petugas_desa/controllers/petugas_desa_controller.dart b/lib/app/modules/petugas_desa/controllers/petugas_desa_controller.dart
index eb31efb..813638a 100644
--- a/lib/app/modules/petugas_desa/controllers/petugas_desa_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/petugas_desa_controller.dart
@@ -27,6 +27,9 @@ class PetugasDesaController extends GetxController {
   // Data profil pengguna dari cache
   final RxMap<String, dynamic> userProfile = RxMap<String, dynamic>({});
 
+  // Variabel untuk foto profil
+  final RxString fotoProfil = ''.obs;
+
   // Model desa dari cache
   final Rx<DesaModel?> desaModel = Rx<DesaModel?>(null);
 
@@ -102,6 +105,33 @@ class PetugasDesaController extends GetxController {
     return 'Petugas Desa';
   }
 
+  // Getter untuk foto profil
+  String? get profilePhotoUrl {
+    // 1. Coba ambil dari fotoProfil yang sudah disimpan
+    if (fotoProfil.isNotEmpty) {
+      return fotoProfil.value;
+    }
+
+    // 2. Coba ambil dari roleData jika merupakan PetugasDesaModel
+    final userData = _authController.userData;
+    if (userData != null && userData.roleData is PetugasDesaModel) {
+      final petugasData = userData.roleData as PetugasDesaModel;
+      if (petugasData.fotoProfil != null &&
+          petugasData.fotoProfil!.isNotEmpty) {
+        return petugasData.fotoProfil;
+      }
+    }
+
+    // 3. Coba ambil dari role_data di userProfile
+    if (userProfile['role_data'] != null &&
+        userProfile['role_data'] is Map<String, dynamic> &&
+        userProfile['role_data']['foto_profil'] != null) {
+      return userProfile['role_data']['foto_profil'];
+    }
+
+    return null;
+  }
+
   // Getter untuk counter dari CounterService
   RxInt get jumlahNotifikasiBelumDibaca =>
       _counterService.jumlahNotifikasiBelumDibaca;
@@ -212,6 +242,14 @@ class PetugasDesaController extends GetxController {
                 'desa': petugasData.desa?.toJson(),
               };
 
+              // Ambil foto profil jika ada
+              if (petugasData.fotoProfil != null &&
+                  petugasData.fotoProfil!.isNotEmpty) {
+                fotoProfil.value = petugasData.fotoProfil!;
+                print(
+                    'DEBUG: Foto profil dari petugasData: ${fotoProfil.value}');
+              }
+
               return; // Data sudah lengkap, tidak perlu fetch lagi
             }
           }
@@ -223,6 +261,14 @@ class PetugasDesaController extends GetxController {
         if (baseProfile != null) {
           userProfile.value = baseProfile;
 
+          // Cek dan ambil foto profil
+          if (baseProfile['role_data'] != null &&
+              baseProfile['role_data'] is Map<String, dynamic> &&
+              baseProfile['role_data']['foto_profil'] != null) {
+            fotoProfil.value = baseProfile['role_data']['foto_profil'];
+            print('DEBUG: Foto profil dari API: ${fotoProfil.value}');
+          }
+
           if (baseProfile['desa'] != null &&
               baseProfile['desa'] is Map<String, dynamic>) {
             try {
@@ -594,7 +640,9 @@ class PetugasDesaController extends GetxController {
 
   // Metode untuk mengubah tab aktif
   void changeTab(int index) {
+    print('Mengubah tab ke index: $index (dari: ${activeTabIndex.value})');
     activeTabIndex.value = index;
+    print('activeTabIndex sekarang: ${activeTabIndex.value}');
 
     // Jika tab penitipan dipilih, muat ulang data penitipan
     if (index == 2) {
@@ -621,6 +669,8 @@ class PetugasDesaController extends GetxController {
         print('Error saat memanggil onTabReactivated: $e');
       }
     }
+    // Paksa update UI
+    activeTabIndex.refresh();
   }
 
   // Metode untuk logout
diff --git a/lib/app/modules/petugas_desa/views/daftar_penerima_view.dart b/lib/app/modules/petugas_desa/views/daftar_penerima_view.dart
index a3256f4..b76e730 100644
--- a/lib/app/modules/petugas_desa/views/daftar_penerima_view.dart
+++ b/lib/app/modules/petugas_desa/views/daftar_penerima_view.dart
@@ -161,173 +161,205 @@ class DaftarPenerimaView extends GetView<PenerimaController> {
 
   Widget _buildPenerimaCard(
       BuildContext context, Map<String, dynamic> penerima) {
-    return Card(
+    final statusActive = penerima['status'] == 'AKTIF';
+
+    return Container(
       margin: const EdgeInsets.only(bottom: 16),
-      elevation: 2,
-      shape: RoundedRectangleBorder(
-        borderRadius: BorderRadius.circular(12),
+      decoration: BoxDecoration(
+        borderRadius: BorderRadius.circular(16),
+        boxShadow: [
+          BoxShadow(
+            color: Colors.grey.withOpacity(0.1),
+            blurRadius: 10,
+            offset: const Offset(0, 5),
+          ),
+        ],
       ),
-      child: InkWell(
-        onTap: () {
-          // Navigasi ke halaman detail penerima
-          Get.toNamed('/daftar-penerima/detail', arguments: penerima['id']);
-        },
-        borderRadius: BorderRadius.circular(12),
-        child: Padding(
-          padding: const EdgeInsets.all(16),
-          child: Row(
-            children: [
-              // Foto profil
-              CircleAvatar(
-                radius: 30,
-                backgroundColor: AppTheme.primaryColor.withOpacity(0.1),
-                child: penerima['foto'] != null
-                    ? ClipRRect(
-                        borderRadius: BorderRadius.circular(30),
-                        child: Image.asset(
-                          penerima['foto'],
-                          width: 60,
-                          height: 60,
-                          fit: BoxFit.cover,
-                          errorBuilder: (context, error, stackTrace) {
-                            return const Icon(
-                              Icons.person,
-                              size: 30,
-                              color: AppTheme.primaryColor,
-                            );
-                          },
-                        ),
-                      )
-                    : const Icon(
-                        Icons.person,
-                        size: 30,
-                        color: AppTheme.primaryColor,
-                      ),
+      child: Card(
+        margin: EdgeInsets.zero,
+        elevation: 0,
+        shape: RoundedRectangleBorder(
+          borderRadius: BorderRadius.circular(16),
+        ),
+        child: InkWell(
+          onTap: () {
+            // Navigasi ke halaman detail penerima
+            Get.toNamed('/daftar-penerima/detail', arguments: penerima['id']);
+          },
+          borderRadius: BorderRadius.circular(16),
+          child: Container(
+            padding: const EdgeInsets.all(16),
+            decoration: BoxDecoration(
+              borderRadius: BorderRadius.circular(16),
+              gradient: LinearGradient(
+                begin: Alignment.topLeft,
+                end: Alignment.bottomRight,
+                colors: [
+                  Colors.white,
+                  AppTheme.primaryColor.withOpacity(0.03),
+                ],
               ),
-              const SizedBox(width: 16),
-              // Informasi penerima
-              Expanded(
-                child: Column(
-                  crossAxisAlignment: CrossAxisAlignment.start,
-                  children: [
-                    Row(
-                      children: [
-                        Expanded(
-                          child: Text(
-                            penerima['nama'] ?? '',
-                            style: const TextStyle(
-                              fontSize: 16,
-                              fontWeight: FontWeight.bold,
+            ),
+            child: Row(
+              children: [
+                // Foto profil dengan animasi hero
+                Hero(
+                  tag: 'penerima-${penerima['id']}',
+                  child: Container(
+                    decoration: BoxDecoration(
+                      shape: BoxShape.circle,
+                      border: Border.all(
+                          color: AppTheme.primaryColor.withOpacity(0.3),
+                          width: 2),
+                      boxShadow: [
+                        BoxShadow(
+                          color: AppTheme.primaryColor.withOpacity(0.1),
+                          blurRadius: 8,
+                          offset: const Offset(0, 3),
+                        ),
+                      ],
+                    ),
+                    child: CircleAvatar(
+                      radius: 35,
+                      backgroundColor: AppTheme.primaryColor.withOpacity(0.1),
+                      backgroundImage: penerima['foto_profil'] != null
+                          ? NetworkImage(penerima['foto_profil'])
+                          : null,
+                      child: penerima['foto_profil'] == null
+                          ? Icon(
+                              Icons.person,
+                              size: 35,
+                              color: AppTheme.primaryColor.withOpacity(0.7),
+                            )
+                          : null,
+                    ),
+                  ),
+                ),
+                const SizedBox(width: 16),
+                // Informasi penerima
+                Expanded(
+                  child: Column(
+                    crossAxisAlignment: CrossAxisAlignment.start,
+                    children: [
+                      Row(
+                        children: [
+                          Expanded(
+                            child: Text(
+                              penerima['nama_lengkap'] ?? 'Tanpa Nama',
+                              style: const TextStyle(
+                                fontSize: 18,
+                                fontWeight: FontWeight.bold,
+                              ),
+                              maxLines: 1,
+                              overflow: TextOverflow.ellipsis,
                             ),
-                            maxLines: 1,
-                            overflow: TextOverflow.ellipsis,
+                          ),
+                          if (penerima['terverifikasi'] == true)
+                            Container(
+                              padding: const EdgeInsets.all(4),
+                              decoration: BoxDecoration(
+                                color: Colors.green.withOpacity(0.1),
+                                shape: BoxShape.circle,
+                              ),
+                              child: const Icon(
+                                Icons.verified,
+                                color: Colors.green,
+                                size: 18,
+                              ),
+                            ),
+                        ],
+                      ),
+                      const SizedBox(height: 8),
+                      Container(
+                        padding: const EdgeInsets.symmetric(
+                          horizontal: 8,
+                          vertical: 4,
+                        ),
+                        decoration: BoxDecoration(
+                          color: Colors.grey.shade100,
+                          borderRadius: BorderRadius.circular(8),
+                          border: Border.all(
+                            color: Colors.grey.shade300,
+                            width: 1,
                           ),
                         ),
-                        if (penerima['terverifikasi'] == true)
+                        child: Text(
+                          'NIK: ${penerima['nik'] ?? 'Belum Ada'}',
+                          style: TextStyle(
+                            fontSize: 13,
+                            color: Colors.grey.shade700,
+                            fontWeight: FontWeight.w500,
+                          ),
+                        ),
+                      ),
+                      const SizedBox(height: 8),
+                      Row(
+                        children: [
                           Container(
                             padding: const EdgeInsets.symmetric(
-                              horizontal: 8,
-                              vertical: 4,
-                            ),
+                                horizontal: 8, vertical: 4),
                             decoration: BoxDecoration(
-                              color: Colors.green.withOpacity(0.1),
-                              borderRadius: BorderRadius.circular(12),
+                              color: statusActive
+                                  ? Colors.green.withOpacity(0.1)
+                                  : Colors.red.withOpacity(0.1),
+                              borderRadius: BorderRadius.circular(8),
+                              border: Border.all(
+                                color: statusActive
+                                    ? Colors.green.withOpacity(0.3)
+                                    : Colors.red.withOpacity(0.3),
+                                width: 1,
+                              ),
                             ),
                             child: Row(
                               mainAxisSize: MainAxisSize.min,
                               children: [
-                                const Icon(
-                                  Icons.verified,
-                                  size: 14,
-                                  color: Colors.green,
+                                Icon(
+                                  statusActive
+                                      ? Icons.check_circle
+                                      : Icons.cancel,
+                                  size: 12,
+                                  color:
+                                      statusActive ? Colors.green : Colors.red,
                                 ),
                                 const SizedBox(width: 4),
-                                const Text(
-                                  'Terverifikasi',
+                                Text(
+                                  statusActive ? 'Aktif' : 'Tidak Aktif',
                                   style: TextStyle(
                                     fontSize: 12,
-                                    color: Colors.green,
+                                    fontWeight: FontWeight.w500,
+                                    color: statusActive
+                                        ? Colors.green
+                                        : Colors.red,
                                   ),
                                 ),
                               ],
                             ),
                           ),
-                      ],
-                    ),
-                    const SizedBox(height: 4),
-                    Text(
-                      'NIK: ${penerima['nik'] ?? ''}',
-                      style: TextStyle(
-                        fontSize: 14,
-                        color: Colors.grey[600],
+                          const Spacer(),
+                          Container(
+                            padding: const EdgeInsets.all(8),
+                            decoration: BoxDecoration(
+                              color: AppTheme.primaryColor.withOpacity(0.1),
+                              shape: BoxShape.circle,
+                            ),
+                            child: Icon(
+                              Icons.arrow_forward_ios,
+                              size: 12,
+                              color: AppTheme.primaryColor,
+                            ),
+                          ),
+                        ],
                       ),
-                    ),
-                    const SizedBox(height: 4),
-
-                    _buildStatusBadge(penerima['status']),
-                    // const SizedBox(height: 8),
-                    // Row(
-                    //   mainAxisAlignment: MainAxisAlignment.spaceBetween,
-                    //   children: [
-                    //     Text(
-                    //       penerima['alamatLengkap'] ?? '',
-                    //       style: TextStyle(
-                    //         fontSize: 12,
-                    //         color: Colors.grey[600],
-                    //       ),
-                    //       maxLines: 1,
-                    //       overflow: TextOverflow.ellipsis,
-                    //     ),
-                    //     _buildStatusBadge(penerima['status']),
-                    //   ],
-                    // ),
-                  ],
+                    ],
+                  ),
                 ),
-              ),
-            ],
+              ],
+            ),
           ),
         ),
       ),
     );
   }
-
-  Widget _buildStatusBadge(String? status) {
-    Color backgroundColor;
-    Color textColor;
-
-    switch (status) {
-      case 'Selesai':
-        backgroundColor = Colors.green.withOpacity(0.1);
-        textColor = Colors.green;
-        break;
-      case 'Terjadwal':
-        backgroundColor = Colors.blue.withOpacity(0.1);
-        textColor = Colors.blue;
-        break;
-      case 'Belum disalurkan':
-        backgroundColor = Colors.orange.withOpacity(0.1);
-        textColor = Colors.orange;
-        break;
-      default:
-        backgroundColor = Colors.grey.withOpacity(0.1);
-        textColor = Colors.grey;
-    }
-
-    return Container(
-      padding: const EdgeInsets.symmetric(horizontal: 8, vertical: 4),
-      decoration: BoxDecoration(
-        color: backgroundColor,
-        borderRadius: BorderRadius.circular(12),
-      ),
-      child: Text(
-        status ?? 'Tidak diketahui',
-        style: TextStyle(
-          fontSize: 12,
-          color: textColor,
-        ),
-      ),
-    );
-  }
 }
 
 class PenerimaSearchDelegate extends SearchDelegate {
@@ -369,7 +401,7 @@ class PenerimaSearchDelegate extends SearchDelegate {
 
   Widget _buildSearchResults() {
     final filteredList = daftarPenerima.where((penerima) {
-      final nama = penerima['nama']?.toString().toLowerCase() ?? '';
+      final nama = penerima['nama_lengkap']?.toString().toLowerCase() ?? '';
       final nik = penerima['nik']?.toString().toLowerCase() ?? '';
       final alamat = penerima['alamatLengkap']?.toString().toLowerCase() ?? '';
       final searchLower = query.toLowerCase();
@@ -403,13 +435,18 @@ class PenerimaSearchDelegate extends SearchDelegate {
             },
             leading: CircleAvatar(
               backgroundColor: AppTheme.primaryColor.withOpacity(0.1),
-              child: const Icon(
-                Icons.person,
-                color: AppTheme.primaryColor,
-              ),
+              backgroundImage: penerima['foto_profil'] != null
+                  ? NetworkImage(penerima['foto_profil'])
+                  : null,
+              child: penerima['foto_profil'] == null
+                  ? const Icon(
+                      Icons.person,
+                      color: AppTheme.primaryColor,
+                    )
+                  : null,
             ),
             title: Text(
-              penerima['nama'] ?? '',
+              penerima['nama_lengkap'] ?? '',
               style: const TextStyle(
                 fontWeight: FontWeight.bold,
               ),
